Subject: bug#74805: 30.0.92; Trying to build scratch/igc on Cygwin

From: Ken Brown <[email-masked]>
Date: Tue, 28 Jan 2025 10:10:27 -0500

On 1/27/2025 5:31 PM, Pip Cet wrote:
> "Ken Brown" <[email-masked]> writes:
>> I appreciate your help.  I guess the authors of the tests never imagined
>> a platform with a 64K page size.
> 
> Is that actually the physical page size on your system?
I'm not sure what "physical" means in this context, but 64K is the value 
returned by sysconf(_SC_PAGESIZE).  This value was chosen many years ago 
by the Cygwin developers because the allocation granularity on Windows 
is 64K, and it was difficult or impossible to maintain POSIX 
compatibility without using 64K as the page size.

Ken